# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=nghttp2
pkgver=1.48.0
pkgrel=1
pkgdesc="Framing layer of HTTP/2 is implemented as a reusable C library"
arch=('x86_64')
url="https://nghttp2.org/"
license=('MIT')
groups=('base')
depends=('glibc')
makedepends=('bash' 'binutils' 'coreutils' 'gcc' 'gettext' 'grep' 'make' 'sed' 'texinfo')
source=(https://github.com/nghttp2/nghttp2/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(47d8f30ee4f1bc621566d10362ca1b3ac83a335c63da7144947c806772d016e4)

build() {
    cd ${pkgname}-${pkgver}

    ${configure} --disable-static --enable-lib-only

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
